%define packname mAr
%define packver 1.1
%define packrel 1

Summary: R module to evaluate functions for multivariate AutoRegressive analysis
Name: R-%{packname}
Version: %{packver}.%{packrel}
Release: 16%{?dist}
License: GPLv2+
Group: Applications/Engineering
Source0: ftp://cran.r-project.org/pub/R/contrib/main/%{packname}_%{packver}-%{packrel}.tar.gz
Source1: COPYING
URL: http://cran.r-project.org/contrib
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: R-devel, tetex-latex

Requires: R

%define debug_package %{nil}

%description
R package:
An R add-on package for estimation of multivariate AR models through a
computationally-efficient stepwise least-squares algorithm (Neumaier
and Schneider, 2001); the procedure is of particular interest for
high-dimensional data without missing values such as geophysical
fields.

%prep
%setup -q -n %{packname}

%build
cp %{SOURCE1} .

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}%{_libdir}/R/library
cd ..; R CMD INSTALL %{packname} -l %{buildroot}%{_libdir}/R/library
rm -rf %{buildroot}%{_libdir}/R/library/R.css

%check
cd ..;%{_bindir}/R CMD check %{packname}

%clean
rm -rf %{buildroot}

%post
%{_R_make_search_index}

%postun
%{_R_make_search_index}

%files
%defattr(-, root, root, -)
%{_libdir}/R/library/%{packname}


%changelog
* Tue Jul 28 2009 Tom "spot" Callaway <tcallawa@redhat.com> - 1.1.1-16
- update scriptlets
- adjust version to include packrel

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Feb 14 2008 José Matos <jamatos[AT]fc.up.pt> - 1.1-13
- Rebuild for gcc 4.3

* Mon Jan  7 2008 Alex Lancaster <alexlan[AT]fedoraproject org> - 1.1-12
- BuildRequires: R-devel rather than just R

* Mon Aug 27 2007 José Matos <jamatos[AT]fc.up.pt> - 1.1-11
- License fix, rebuild for devel (F8).

* Thu Apr 26 2007 José Matos <jamatos[AT]fc.up.pt> - 1.1-10
- Create install dir.

* Thu Apr 26 2007 José Matos <jamatos[AT]fc.up.pt> - 1.1-9
- Rebuild for R 2.5.

* Sat Apr 21 2007 José Matos <jamatos[AT]fc.up.pt> - 1.1-8
- New upstream version (1.1-1).

* Tue Oct 17 2006 José Matos <jamatos[AT]fc.up.pt> - 1.1-7
- Rebuild for R 2.4.0.

* Thu Sep 14 2006 José Matos <jamatos[AT]fc.up.pt> - 1.1-6
- Rebuild for FC6.

* Sun Jun  4 2006 José Matos <jamatos[AT]fc.up.pt> - 1.1-5
- Rebuild for R-2.3.x

* Thu Mar  2 2006 José Matos <jamatos[AT]fc.up.pt> - 1.1-4
- Disable building of debugging package.

* Tue Oct 11 2005 José Matos <jamatos[AT]fc.up.pt> - 1.1-3
- Remove html index generation as it is now automatic.

* Thu Oct  6 2005 José Matos <jamatos[AT]fc.up.pt> - 1.1-2
- Add check section, add tetex-latex to BulidRequires, and remove docs
  as they are packaged already.

* Sun Aug 21 2005 José Matos <jamatos[AT]fc.up.pt> - 1.1-1
- Prepare for FE inclusion.
